summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci/PR_revision.log3
-rwxr-xr-xci/build.sh3
-rwxr-xr-xci/clean.sh4
-rwxr-xr-xci/deploy.sh4
-rwxr-xr-xci/dev_dep_check.sh (renamed from ci/dev_deploy_check.sh)21
-rwxr-xr-xci/run_smoke_tests.sh3
6 files changed, 32 insertions, 6 deletions
diff --git a/ci/PR_revision.log b/ci/PR_revision.log
index 16cf08f8..4886ee8e 100644
--- a/ci/PR_revision.log
+++ b/ci/PR_revision.log
@@ -45,3 +45,6 @@
86,Moves sdnvpn config to env file
87,Pass vlan flag to fdio module when vlan is used for tenant network
88,Default tenant_nic to its physical name
+89,Add enic workaround for UCS with OVS DPDK
+90,removing /%(tenantid)s from tacker heat_uri
+94,Add defaults to vpp_main_core and vpp_corelist_workers \ No newline at end of file
diff --git a/ci/build.sh b/ci/build.sh
index f3ab497d..f1333ce4 100755
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -132,9 +132,6 @@ if [[ "$MAKE_TARGETS" == "images" ]]; then
if [[ $commit_file_list == *build/rpm_specs/opnfv-apex-onos.spec* ]]; then
MAKE_TARGETS+=" onos-rpm-check"
fi
- if [[ $commit_file_list == *build/rpm_specs/opnfv-apex-opendaylight-sfc.spec* ]]; then
- MAKE_TARGETS+=" opendaylight-sfc-rpm-check"
- fi
fi
fi
diff --git a/ci/clean.sh b/ci/clean.sh
index c00a4df2..1e5e320e 100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
@@ -30,8 +30,8 @@ for lib in common-functions parse-functions; do
done
vm_index=4
-ovs_bridges="br-admin br-tenant br-public br-storage"
-ovs_bridges+=" br-private br-external" # Legecy names, remove in E river
+ovs_bridges="br-admin br-tenant br-external br-storage"
+ovs_bridges+=" br-private br-public" # Legacy names, remove in E river
#OPNFV_NETWORK_TYPES=$(python3 -c 'from apex.common.constants import OPNFV_NETWORK_TYPES; print(" ".join(OPNFV_NETWORK_TYPES))')
OPNFV_NETWORK_TYPES+=" admin tenant external storage api"
diff --git a/ci/deploy.sh b/ci/deploy.sh
index edc6062a..6d3ded02 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -24,10 +24,12 @@ green=$(tput setaf 2 || echo "")
interactive="FALSE"
ping_site="8.8.8.8"
-ntp_server="pool.ntp.org"
post_config="TRUE"
debug="FALSE"
+ovs_rpm_name=openvswitch-2.5.90-1.el7.centos.x86_64.rpm
+ovs_kmod_rpm_name=openvswitch-kmod-2.5.90-1.el7.centos.x86_64.rpm
+
declare -i CNT
declare UNDERCLOUD
declare -A deploy_options_array
diff --git a/ci/dev_deploy_check.sh b/ci/dev_dep_check.sh
index 0ce135ad..a15eb8b9 100755
--- a/ci/dev_deploy_check.sh
+++ b/ci/dev_dep_check.sh
@@ -51,3 +51,24 @@ easy_install-3.4 jinja2
# TODO(cgoncalves): remove once congress RPM is downloaded from upstream
easy_install-3.4 tox
+
+# Required packages to redirect stdin with virt-customize
+virt_uri_base=https://people.redhat.com/~rjones/libguestfs-RHEL-7.3-preview
+virt_pkgs=(
+'libguestfs-1.32.7-3.el7.x86_64.rpm'
+'libguestfs-tools-1.32.7-3.el7.noarch.rpm'
+'libguestfs-tools-c-1.32.7-3.el7.x86_64.rpm'
+'supermin-5.1.16-4.el7.x86_64.rpm'
+'supermin5-5.1.16-4.el7.x86_64.rpm'
+'supermin-helper-5.1.16-4.el7.x86_64.rpm'
+'perl-Sys-Guestfs-1.32.7-3.el7.x86_64.rpm'
+'python-libguestfs-1.32.7-3.el7.x86_64.rpm'
+)
+
+for pkg in ${virt_pkgs[@]}; do
+ if ! rpm -q ${pkg%-*-*}; then
+ if ! sudo yum -y install $virt_uri_base/$pkg; then
+ echo "ERROR: Failed to update $pkg"
+ fi
+ fi
+done
diff --git a/ci/run_smoke_tests.sh b/ci/run_smoke_tests.sh
index b0599527..8985ed86 100755
--- a/ci/run_smoke_tests.sh
+++ b/ci/run_smoke_tests.sh
@@ -2,4 +2,7 @@
source ../lib/utility-functions.sh
+export ANSIBLE_HOST_KEY_CHECKING=False
+
+echo 'See ~stack/smoke-tests.out on the undercloud for result log'
ansible-playbook -i "$(get_undercloud_ip)," ../tests/smoke_tests/smoke_tests.yml